## org.gnu.gtk
Class TextAttributes

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gtk.TextAttributes

public class TextAttributes
extends Boxed

A read only store of text attributes as returned by `TextIter.getAttributes(TextAttributes)`.

Method Summary
`TextAppearance` `getAppearance()`
`boolean` `getBgFullHeight()`
`TextDirection` `getDirection()`
`boolean` `getEditable()`
`FontDescription` `getFontDescription()`
`double` `getFontScale()`
`int` `getIndent()`
`boolean` `getInvisible()`
`Justification` `getJustification()`
`Language` `getLanguage()`
`int` `getLeftMargin()`
`int` `getPixelsAboveLines()`
`int` `getPixelsBelowLines()`
`int` `getPixelsInsideWrap()`
`boolean` `getRealized()`
`int` `getRightMargin()`
`TabArray` `getTabArray()`
`WrapMode` `getWrapMode()`

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAppearance

    public TextAppearance getAppearance()

### getJustification

    public Justification getJustification()

### getDirection

    public TextDirection getDirection()

### getFontDescription

    public FontDescription getFontDescription()

### getFontScale

    public double getFontScale()

### getLeftMargin

    public int getLeftMargin()

### getIndent

    public int getIndent()

### getRightMargin

    public int getRightMargin()

### getPixelsAboveLines

    public int getPixelsAboveLines()

### getPixelsBelowLines

    public int getPixelsBelowLines()

### getPixelsInsideWrap

    public int getPixelsInsideWrap()

### getTabArray

    public TabArray getTabArray()

### getWrapMode

    public WrapMode getWrapMode()

### getLanguage

    public Language getLanguage()

### getInvisible

    public boolean getInvisible()

### getBgFullHeight

    public boolean getBgFullHeight()

### getEditable

    public boolean getEditable()

### getRealized

    public boolean getRealized()